[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH 0/2] Fixed QEMU 1.0.1 support



On 09/25/2012 11:01 AM, Daniel P. Berrange wrote:

>>> I agree, it smells very much like a QEMU/distro bug to me.
>>
>> It is an upstream bug:
>>
>> https://lists.gnu.org/archive/html/qemu-devel/2012-02/msg02527.html
>>
>> Distros should probably be backporting that particular patch, but
>> there's still the question of whether we should deal with it in libvirt
>> because it is upstream.
> 
> Well it is a bug on only one branch of upstream, that was promptly
> fixed, so I still don't think we should complicate libvirt by dealing
> with it. It is trivial for QEMU maintainers to fix

Meanwhile, I'm not opposed to these patches.  It may be a trivial fix
for distro packagers, but not so obvious for people building qemu from
scratch.

However, I have to wonder if src/util/util.c:virParseVersionString needs
to be taught to handle comma, and also whether qemuCapsParseHelpStr
should reuse virParseVersionString rather than open-coding its own parser.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Attachment: signature.asc
Description: OpenPGP digital signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]